Bug 1771419 - 'Rerun failed' sets execution order to alphabetical by default
Summary: 'Rerun failed' sets execution order to alphabetical by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Adam Ruzicka
QA Contact: Peter Dragun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-12 10:37 UTC by Peter Dragun
Modified: 2020-04-14 13:26 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-2.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28242 'Normal' 'Closed' '''Rerun failed'' sets execution order to alphabetical by default' 2019-11-25 11:36:22 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:33 UTC

Description Peter Dragun 2019-11-12 10:37:16 UTC
Description of problem:
When I try to rerun failed jobs, ordering is always set to alphabetical even if original job was executed with randomized order.


Version-Release number of selected component (if applicable):
Sat 6.7 snap 1

How reproducible:
always

Steps to Reproduce:
1. Run job with randomized ordering
2. Some subtask has failed
3. Click on 'Rerun failed'
4. In advanced fields check 'Execution ordering' 

Actual results:
'Execution ordering' is set to 'Alphabetical'

Expected results:
'Execution ordering' is set to 'Randomized'

Additional info:
'Rerun' works as expected

Comment 3 Adam Ruzicka 2019-11-12 11:28:44 UTC
Created redmine issue https://projects.theforeman.org/issues/28242 from this bug

Comment 4 Bryan Kearney 2019-11-12 13:00:25 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 5 Bryan Kearney 2019-11-12 13:00:28 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 6 Bryan Kearney 2019-11-20 15:00:33 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28242 has been resolved.

Comment 7 Peter Dragun 2019-11-25 12:07:18 UTC
Verified on sat 6.7 snap 3.
On 'Rerun failed' execution order is set as on original job.

Comment 10 errata-xmlrpc 2020-04-14 13:26:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.